Bug 197754 - Review Request: perl-Perl6-Bible
Review Request: perl-Perl6-Bible
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-05 19:36 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-31 20:59:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-07-05 19:36:23 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Perl6-Bible/perl-Perl6-Bible.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Perl6-Bible-0.30-1.src.rpm
Description:
This Perl module distribution contains all the latest Perl 6 documentation
and a utility called p6bible for viewing it.
Comment 1 Jason Tibbitts 2006-07-16 13:03:51 EDT
This is an odd package; it's a Perl module, but it's really all documentation
except for the tiny viewer script.  I'm inclined to just treat it as any other
perl module but it does seem a bit strange.

More troubling is this:

This Copyright applies only to the Perl6::Bible Perl software distribution, not
the documents bundled within.

and the documents within all seem to lack any kind of copyright information.
Comment 2 Steven Pritchard 2006-07-17 14:54:26 EDT
(In reply to comment #1)
> This is an odd package; it's a Perl module, but it's really all documentation
> except for the tiny viewer script.  I'm inclined to just treat it as any other
> perl module but it does seem a bit strange.

It seemed to make sense to work on getting this in along with parrot and pugs
for anyone who wanted to work on Perl 6.

> More troubling is this:
> 
> This Copyright applies only to the Perl6::Bible Perl software distribution, not
> the documents bundled within.
> 
> and the documents within all seem to lack any kind of copyright information.

I hadn't noticed that, but I'm sure that was just a clarification of the
copyright on the package, not a statement about the license.  Given that those
documents are *the* formal specification and documentation for Perl 6, I'll be
very surprised if they aren't covered by the usual GPL/Artistic dual license.
Comment 3 Steven Pritchard 2006-07-19 12:28:18 EDT
So here's the answer that I got from the maintainer on #perl6:

<audreyt> silug: as far as I know they are never really licensed
<audreyt> and nominally I think TPF owns copyright, but I'm not sure

I've sent email to the President of TPF to see if he has any suggestions.
Comment 4 Steven Pritchard 2006-11-02 20:25:58 EST
Apparently my first mail was incorrectly addressed, and gmail's spam filter 
ate the second one, but TPF President Bill Odom eventually noticed it and gave 
me this answer:

Date: Wed, 1 Nov 2006 09:13:01 -0600
From: "Bill Odom" <billodom@gmail.com>
To: "Steven Pritchard" <steve@kspei.com>
Subject: Re: documentation license question
In-Reply-To: <f695806b0610291450v231e8a90yc468423107a54cfd@mail.gmail.com>

Steve:

Okay, here's the definitive word from Allison, who's been immersed in
the legal and licensing side for far longer than any one person should
ever have to be:

On 10/31/06, Allison Randal <allison@perl.org> wrote:
>The Perl 6 Bible is the Apocalypses, Exegeses, and Synopses.
...
>They'll be under the same terms as the production release of Perl 6,
>which is:
>  - they are covered by the author's contributor agreement to TPF
>  - the compilation copyright is owned by TPF
>  - authors retain their individual copyright in individual pieces
>  - Artistic 2.0 license

Does that give you what you need, or should I do some more digging?

Thanks,
Bill
Comment 5 Jason Tibbitts 2006-11-12 01:22:24 EST
This all looks good; can you cut a new package with that information included
(as a README.licensing file or something) and I'll do a quick review.
Comment 6 Steven Pritchard 2006-12-21 20:21:06 EST
Oops, forgot about this...

http://ftp.kspei.com/pub/steve/rpms/perl-Perl6-Bible-0.30-2.src.rpm
Comment 7 Jason Tibbitts 2006-12-27 16:58:40 EST
I almost forgot about it too.

* source files match upstream:
   b0cbdf1397f1a16ad6e34a39bbb12382  Perl6-Bible-0.30.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream, but
appropriate clarification is included in the package.
* latest version is being packaged.
* BuildRequires are proper (none needed)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Perl6::Bible)
   perl-Perl6-Bible = 0.30-2.fc7
  =
   /usr/bin/perl
   perl >= 0:5.000
   perl(:MODULE_COMPAT_5.8.8)
   perl(File::Spec)
   perl(Perl6::Bible)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=2,  0 wallclock secs ( 0.03 cusr +  0.03 csys =  0.06 CPU)
*  owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* This is mostly content, not code, but it is permissible content (package
documentation)
* This is pretty much all documentation; a -docs subpackage would be kind of dumb.
* %docs are not necessary for the proper functioning of the package.  (Most of
the content is not marked %doc, as then the package would indeed be useless.)

APPROVED
Comment 8 Steven Pritchard 2006-12-31 20:59:08 EST
Imported into CVS, branches created, and built.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.